package com.ym.mec.biz.dal.entity;

import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(teacher_school):
 */
public class TeacherSchool {

	/**  */
	private Long id;
	
	/**  */
	@ApiModelProperty(value = "用户编号",required = false)
	private Integer userId;
	
	/** 省 */
	@ApiModelProperty(value = "省份",required = false)
	private String province;
	
	/** 市 */
	@ApiModelProperty(value = "市",required = false)
	private String city;
	
	/** 区 */
	@ApiModelProperty(value = "区",required = false)
	private String district;
	
	/** 地址 */
	@ApiModelProperty(value = "地址",required = false)
	private String address;
	
	/** 经纬度 */
	@ApiModelProperty(value = "经纬度",required = false)
	private String longitudeLatitude;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;
	
	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}
			
	public void setUserId(Integer userId){
		this.userId = userId;
	}
	
	public Integer getUserId(){
		return this.userId;
	}
			
	public void setProvince(String province){
		this.province = province;
	}
	
	public String getProvince(){
		return this.province;
	}
			
	public void setCity(String city){
		this.city = city;
	}
	
	public String getCity(){
		return this.city;
	}
			
	public void setDistrict(String district){
		this.district = district;
	}
	
	public String getDistrict(){
		return this.district;
	}
			
	public void setAddress(String address){
		this.address = address;
	}
	
	public String getAddress(){
		return this.address;
	}
			
	public void setLongitudeLatitude(String longitudeLatitude){
		this.longitudeLatitude = longitudeLatitude;
	}
	
	public String getLongitudeLatitude(){
		return this.longitudeLatitude;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
